package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.model.MessageType;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-07-20
 */
@Repository
public interface MessageTypeMapper extends BaseMapper<MessageType> {

    /**
     * 根据用户组去找消息类型
     * @param userGroup
     * @param site
     * @return
     */
    MessageType findMessageTypeByUserGroup(@Param("site")String site, @Param("userGroup") String userGroup);
}