package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.dto.ShopOrderDto;
import com.foreverwin.mesnac.meapi.model.ShopOrder;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-01
 */
@Repository
public interface ShopOrderMapper extends BaseMapper<ShopOrder> {

    ShopOrder findById(@Param("site")String site,@Param("shopOrder")String shopOrder,@Param("status501")String status501,@Param("plannedItemBo")String plannedItemBo);

    ShopOrderDto findByShopOrderBo(@Param("handle")String handle);

    List<ShopOrder> findBomCommentByShopOrder(@Param("site")String site,@Param("shopOrder")String shopOrder);

    List<ShopOrder> findAbnormalShopOrder(ShopOrder shopOrder);
}