package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceRunTime;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author pavel.liu
 * @since 2021-09-27
 */
public interface ResourceRunTimeService extends IService<ResourceRunTime> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceRunTime> selectPage(FrontPage<ResourceRunTime> frontPage, ResourceRunTime resourceRunTime);

    List<ResourceRunTime> selectList(ResourceRunTime resourceRunTime);

    void saveResourceRunTimeByMq(String text);
}