package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceStatusReceive;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 设备状态表-接口 服务类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-13
 */
public interface ResourceStatusReceiveService extends IService<ResourceStatusReceive> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceStatusReceive> selectPage(FrontPage<ResourceStatusReceive> frontPage, ResourceStatusReceive resourceStatusReceive);

    List<ResourceStatusReceive> selectList(ResourceStatusReceive resourceStatusReceive);

    /**
     * 更新设备状态接收记录
     * @param text
     */
    void updateResourceStatusByMq(String text);


}